Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWSKeyboardHandler Class Reference

The QWSKeyboardHandler class implements the keyboard driver for Qt/Embedded. More...

`#include <qkeyboard_qws.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QWSKeyboardHandler ()
- virtual ~QWSKeyboardHandler ()

## Protected Members

- virtual void processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )

## Detailed Description

The QWSKeyboardHandler class implements the keyboard driver for Qt/Embedded.

The keyboard driver handles events from system devices and generates key events.

A QWSKeyboardHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call processKeyEvent() to send the event to Qt/Embedded for relaying to clients.

See also Qt/Embedded.

## Member Function Documentation

### QWSKeyboardHandler::QWSKeyboardHandler ()

Constructs a keyboard handler. The handler may be passed to the system for later destruction with QWSServer::setKeyboardHandler(), although even without doing this, the handler can function, calling processKeyEvent() to emit events.

### QWSKeyboardHandler::~QWSKeyboardHandler ()`[virtual]`

Destroys a keyboard handler. Note that if you have called QWSServer::setKeyboardHandler(), you must not delete the handler.

### void QWSKeyboardHandler::processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )`[virtual protected]`

Subclasses call this function to send a key event. The server may additionally filter the event before sending it on to applications.

Parameter | Meaning
--- | ---
unicode | The Unicode value for the key, or 0xFFFF is none is appropriate.
keycode | The Qt keycode for the key (see Qt::Key for the list of codes).
modifiers | The set of modifier keys (see Qt::Modifier).
isPress | Whether this is a press or a release.
autoRepeat | Whether this event was generated by an auto-repeat mechanism, or an actual key press.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.